## maas-test 0.1+bzr147

=== Makefile ===
# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

PYTHON := python

define virtualenv
virtualenv --python=$(PYTHON) --quiet
endef

define apt-get
sudo DEBIAN_FRONTEND=noninteractive \
    apt-get --assume-yes --no-install-recommends
endef

# ---

all: build lint doc

build: bin/maas-test

dist: bin/python setup.py
	bin/python setup.py --quiet egg_info -r sdist

test: setup.py bin/tox tox.ini
	@bin/tox

clean:
	$(RM) -r bin build dist include lib local TAGS tags
	find . -name '*.py[co]' -print0 | xargs -r0 $(RM) -r
	find . -name '__pycache__' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg' -print0 | xargs -r0 $(RM) -r
	find . -name '*.egg-info' -print0 | xargs -r0 $(RM) -r
	find . -name '*~' -print0 | xargs -r0 $(RM)
	$(RM) -r .tox .deps

lint: bin/flake8
	@bin/flake8 maastest

install-dependencies: packages.txt
	@xargs --verbose --no-run-if-empty $(apt-get) install < packages.txt

update-requirements: requirements.txt.new
	mv $< requirements.txt

# Generate manpage in man/
man: $(patsubst docs/man/%.rst,man/%,$(wildcard docs/man/*.rst))

man/%: bin/rst2man.py docs/man/%.rst
	bin/rst2man.py docs/man/$*.rst $@

# Generate documentation.
doc: man

# ---

bin/maas-test: bin/python setup.py
	bin/python setup.py --quiet develop

# Generated executables.
define executables
  bin/flake8
  bin/pyflakes
  bin/pep8
  bin/rst2man.py
  bin/tox
endef

$(strip $(executables)): bin/python requirements.txt
	bin/python -m pip install --quiet --ignore-installed -r requirements.txt

bin/python:
	$(virtualenv) --system-site-packages $(PWD)

requirements.txt.new: requirements.txt
	$(virtualenv) --no-site-packages .deps
	.deps/bin/python -m pip install --quiet \
	    --ignore-installed -r requirements.txt
	.deps/bin/python -m pip freeze --local | \
	    egrep -v ^virtualenv= > $@
	@$(RM) -r .deps
	@diff -u $< $@ || true

# ---

define phony
  all
  build
  clean
  dist
  doc
  install-dependencies
  lint
  man
  test
  update-requirements
endef

.PHONY: $(strip $(phony))

=== requirements.txt ===
docutils==0.11
flake8==2.1.0
mccabe==0.2.1
pep8==1.4.6
py==1.4.18
pyflakes==0.7.3
tox==1.6.1

=== debian/changelog ===
maas-test (0.1+bzr147-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

  [ Raphaël Badin ]
  * LP: #1304982 No node can be booted until the boot images have been reported
    back to the region: wait until the report_boot_images task has populated the
    BootImage table.
  * LP: #1304448 Default to using Trusty because it's not the current LTS yet
    but maas doesn't support commissioning with precise anymore.
  * LP: #1302617 Limit the list of series on which to install MAAS to Trusty.
  * Fix spelling (s/ipmi/IPMI/), generate manpage.
  * Add a new option, named '--simplestreams-filter', to let the user
    pass simplestreams filters to MAAS used when retrieving the ephemerals.
  * Add a new parameter named --maas-simplestreams-filter to let the user pass
    additional simplestreams filters used when downloading and creating the VM
    on which MAAS is installed.
  * Fix broken maas_admin property: always return the value of self_maas_admin.
  * Always update the list of packages: the list might be outdated even if no
    custom archive was specified.
  * Now that maas-test reports to its own project, it doesn't make sense to
    have a 'maas-test-results' tag.  This branch removes that tag and also
    adds tags indicating success or failure.
  * Change project to which reports are uploaded to 'maas-test-reports'.

  [ Jeroen Vermeulen ]
  * LP: #1302608 New KVMFixture method: upload_file, needed for uploading
    bootresources.yaml.  Also, move make_file() test helper into a new factory
    module.
  * Request gathering of MAAS-side logs from an earlier stage in MAASFixture
    setup.  The CI lab is hitting errors while making its first API request
    during MAASFixture setup, and this should add useful debugging information
    to that failure.
  * LP: #1301815 Don't run the old maas-import-ephemerals script; it no longer
    exists.

  [ Graham Binns ]
  * maas-test now includes all the details (log files, stdin, out and err) of
    commands run during testing in the report it uploads for successful runs.
    Previously it only reported those details in the event of a test failure.
  * Added a --kvm-timeout flag. This is passed to uvt-kvm when we're waiting
    for the VM to come up. It's useful on slow or virtual hardware where the
    default uvt-kvm timeout of 120 seconds isn't quite enough.

  [ Kent Baxley	]
  * LP: #1289606 Add an ipmi-driver option to the command line and default it
    to LAN_2_0 as some BMCs only use v2.0 and most will support it.

  [ Gavin Panella ]
  *  Use python -m pip instead of bin/pip. Newer virtualenvs don't ensure that
     bin/pip is available.

  [ Julian Edwards ]
  * Update maas-test to work with the renamed maas-region-admin in trunk for
    Trusty.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 11:17:40 -0400

maas-test (0.1+bzr58-0ubuntu1) UNRELEASED; urgency=low

  [ Raphaël Badin ]
  * Initial Release

 -- Raphaël Badin <raphael.badin@canonical.com>  Fri, 22 Nov 2013 12:07:51 +0100

=== debian/control ===
Source: maas-test
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: MAAS Maintainers <maas-devel@lists.launchpad.net>
Build-Depends: debhelper (>= 8.1.0~),
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-six
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: http://launchpad.net/maas-test

Package: maas-test
Architecture: all
Depends: cpu-checker,
         polipo,
         python (>= 2.7),
         python-distro-info,
         python-fixtures,
         python-lxml,
         python-maas-client,
         python-netaddr,
         python-netifaces,
         python-six (>= 1.2.0),
         python-testresources,
         python-testtools,
         qemu-kvm,
         uvtool,
         uvtool-libvirt,
         virt-what,
         ${misc:Depends}
Description: Utility to test hardware compatibility with MAAS
 Utility to test whether a particular set of hardware is compatible
 with MAAS.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2 --buildsystem=python_distutils

DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
REV=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: .*[+~]bzr([0-9]+).*,\1,p')
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
get-orig-source:
	bzr export -r $(REV) --root=maas-test-$(VER).orig \
	    maas-test_$(VER).orig.tar.gz lp:maas-test
